Spectrasonics – Omnisphere Soundsource Library Update v2.6.1c [WiN.OSX]

By | September 12, 2022

 

Year/Date of Issue: 07.05.2019
Version: v2.6.1c
Developer: Spectrasonics
Developer website: Spectrasonics
System requirements: Windows : 7/8/8.1/10, Mac OS
Processor : 2.4 GHz or higher
RAM: 4GB minimum, 8GB recommended
This plugin requires a DAW (FL Studio / Cakewalk Sonar / Steinberg Cubase, etc.)


Description: Update for Omnisphere 2.6 synthesizer

Requirements:
• Omnisphere version 2.6.0e or higher
Tagging Improvements


Leave a Reply

Your email address will not be published.